summaryrefslogtreecommitdiffstats
path: root/src/grep/tests/skip-device
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-11 08:21:29 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-11 08:21:29 +0000
commit29cd838eab01ed7110f3ccb2e8c6a35c8a31dbcc (patch)
tree63ef546b10a81d461e5cf5ed9e98a68cd7dee1aa /src/grep/tests/skip-device
parentInitial commit. (diff)
downloadkbuild-29cd838eab01ed7110f3ccb2e8c6a35c8a31dbcc.tar.xz
kbuild-29cd838eab01ed7110f3ccb2e8c6a35c8a31dbcc.zip
Adding upstream version 1:0.1.9998svn3589+dfsg.upstream/1%0.1.9998svn3589+dfsg
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'src/grep/tests/skip-device')
-rwxr-xr-xsrc/grep/tests/skip-device16
1 files changed, 16 insertions, 0 deletions
diff --git a/src/grep/tests/skip-device b/src/grep/tests/skip-device
new file mode 100755
index 0000000..d6368f1
--- /dev/null
+++ b/src/grep/tests/skip-device
@@ -0,0 +1,16 @@
+#!/bin/sh
+# grep must ignore --devices=ACTION (-D) when reading stdin
+# For grep-2.11, this test would fail.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+# Test both with no file argument, and with "-".
+echo foo | grep -D skip foo - || fail=1
+echo foo | grep --devices=skip foo || fail=1
+
+require_timeout_
+mkfifo myfifo || framework_failure_
+timeout 10 grep -D skip foo myfifo
+test $? -eq 1 || fail=1
+
+Exit $fail